Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 230891 - Review Request: recordmydesktop - Desktop session recorder with audio and video
Summary: Review Request: recordmydesktop - Desktop session recorder with audio and video
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: manuel wolfshant
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: 230892
TreeView+ depends on / blocked
 
Reported: 2007-03-04 10:44 UTC by Sindre Pedersen Bjørdal
Modified: 2012-02-08 13:02 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-14 16:24:54 UTC
wolfy: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Sindre Pedersen Bjørdal 2007-03-04 10:44:52 UTC
Spec URL: http://folk.ntnu.no/sindrb/packages/recordmydesktop.spec
SRPM URL: http://folk.ntnu.no/sindrb/packages/recordmydesktop-0.3.3.1-1.src.rpm

Description: 

recordMyDesktop is a desktop session recorder for linux that attempts to be 
easy to use, yet also effective at it's primary task.

Comment 1 manuel wolfshant 2007-03-05 01:24:58 UTC
Just a quick note: there are several duplicate BuildRequires: libXfixes-devel
(by libXdamage-devel), libICE-devel (by libSM-devel), libogg-devel (by
libtheora-devel) (all those are minor problems) and at least one missing BR
(zlib-devel probably - that is a MUSTFIX):

In file included from ../include/recordmydesktop.h:35,
                 from recordmydesktop.c:28:
../include/rmdtypes.h:56:18: error: zlib.h: No such file or directory
In file included from ../include/recordmydesktop.h:35,
                 from recordmydesktop.c:28:
../include/rmdtypes.h:229: error: expected specifier-qualifier-list before 'gzFile'
In file included from ../include/recordmydesktop.h:37,
                 from recordmydesktop.c:28:
../include/rmdfunc.h:465: error: expected declaration specifiers or '...' before
'gzFile'
../include/rmdfunc.h:481: error: expected declaration specifiers or '...' before
'gzFile'
make[2]: *** [recordmydesktop-recordmydesktop.o] Error 1
make[2]: Leaving directory `/builddir/build/BUILD/recordmydesktop-0.3.3.1/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/builddir/build/BUILD/recordmydesktop-0.3.3.1'
make: *** [all] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.72949 (%build)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.72949 (%build)


Comment 2 manuel wolfshant 2007-03-05 01:43:24 UTC
here is a short patch which fixes the above and also preserves timestamps of
installed files. Please use it to fix your package and I guess we have a winner.
#diff -Nupr recordmydesktop.spec recordmydesktop-new.spec

--- recordmydesktop.spec        2007-03-05 03:26:39.000000000 +0200
+++ recordmydesktop-new.spec    2007-03-05 03:37:59.000000000 +0200
@@ -1,6 +1,6 @@
 Name:           recordmydesktop
 Version:        0.3.3.1
-Release:        1%{?dist}
+Release:        2%{?dist}
 Summary:        Desktop session recorder with audio and video

 Group:          Applications/Multimedia
@@ -36,13 +36,11 @@ make %{?_smp_mflags}

 %install
 rm -rf $RPM_BUILD_ROOT
-make install DESTDIR=$RPM_BUILD_ROOT
-
+make install DESTDIR=$RPM_BUILD_ROOT INSTALL="%{__install} -c -p"

 %clean
 rm -rf $RPM_BUILD_ROOT

-
 %files
 %defattr(-,root,root,-)
 %doc AUTHORS COPYING README ChangeLog


Comment 3 Sindre Pedersen Bjørdal 2007-03-05 10:15:16 UTC
Changes:

- Remove duplicate BR
- Add missing zlib-devel BR
- Applied patch to Preserve timestamps

Updated:

SPEC: http://folk.ntnu.no/sindrb/packages/recordmydesktop.spec
SRPM: http://folk.ntnu.no/sindrb/packages/recordmydesktop-0.3.3.1-2.src.rpm

Comment 4 manuel wolfshant 2007-03-05 10:58:56 UTC
Good:

- rpmlint checks do not return anything on source and binary rpm; the debuginfo
package reports:
W: recordmydesktop-debuginfo spurious-executable-perm
/usr/src/debug/recordmydesktop-0.3.3.1/src/load_cache.c
W: recordmydesktop-debuginfo spurious-executable-perm
/usr/src/debug/recordmydesktop-0.3.3.1/include/rmdtypes.h
W: recordmydesktop-debuginfo spurious-executable-perm
/usr/src/debug/recordmydesktop-0.3.3.1/src/cache_frame.c
Probably a chmod -x on these three files in %prep should make rpmlint happy.
- package meets naming guidelines
- package meets packaging guidelines
- license (GPL) is OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream, is latest version, sha1sum
3eb2ffe79a0fcf5e04962bd3d120c1e5587c178b recordmydesktop-0.3.3.1.tar.gz
- package compiles on devel (x86_64)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all file/directories that it creates, does not take ownership of foreign
files/directories
- no duplicate files
- permissions ok (see rpmlint output on -debuginfo above)
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- not a GUI, so no need for .desktop file
- no need for a separate -devel package
- no .la files
- no scriptlets
- no static files

 SHOULD:
- builds in mock for devel/x86_64
- works as advertised

APPROVED


Comment 5 Sindre Pedersen Bjørdal 2007-03-06 00:06:31 UTC
New Package CVS Request
=======================
Package Name: recordmydesktop
Short Description: Desktop session recorder with audio and video
Owners: foolish@guezz.net
Branches: FC-5 FC-6
InitialCC: 

Comment 6 Andy Grover 2012-02-08 01:20:10 UTC
hi, I'd like to get this (and gtk/qt interfaces) built for epel.

Package Change Request
======================
Package Name: recordmydesktop
New Branches: el5 el6
Owners: mbooth narasim grover

Comment 7 Gwyn Ciesla 2012-02-08 13:02:39 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.